DIY 3.0 data-parallel out-of-core C++ library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Typedefs Groups Pages
Public Types | Public Member Functions | List of all members
fmt::BasicFormatter< CharType, ArgFormatter > Class Template Reference

`#include <diy/fmt/format.h>`

Inheritance diagram for fmt::BasicFormatter< CharType, ArgFormatter >:

## Public Types
typedef CharType | Char

## Public Member Functions
| BasicFormatter (const ArgList &args, BasicWriter< Char > &w)
BasicWriter< Char > & | writer ()
void | format (BasicCStringRef< Char > format_str)
const Char * | format (const Char *&format_str, const internal::Arg &arg)

## Detailed Description

### template<typename CharType, typename ArgFormatter = fmt::ArgFormatter<CharType>>
class fmt::BasicFormatter< CharType, ArgFormatter >

This template formats data and writes the output to a writer.

## Member Typedef Documentation

template<typename CharType, typename ArgFormatter = fmt::ArgFormatter<CharType>>

typedef CharType fmt::BasicFormatter< CharType, ArgFormatter >::Char

The character type for the output.

## Constructor & Destructor Documentation

template<typename CharType, typename ArgFormatter = fmt::ArgFormatter<CharType>>

fmt::BasicFormatter< CharType, ArgFormatter >::BasicFormatter | ( | const ArgList & | args,
|  | BasicWriter< Char > & | w
| ) |  |
| inline

Constructs a `BasicFormatter` object. References to the arguments and the writer are stored in the formatter object so make sure they have appropriate lifetimes.

## Member Function Documentation

template<typename Char , typename AF >

void fmt::BasicFormatter< Char, AF >::format | ( | BasicCStringRef< Char > | format_str | ) |

Formats stored arguments and writes the output to the writer.

template<typename CharType, typename ArgFormatter = fmt::ArgFormatter<CharType>>

BasicWriter<Char>& fmt::BasicFormatter< CharType, ArgFormatter >::writer | ( |  | ) |
| inline

Returns a reference to the writer associated with this formatter.

The documentation for this class was generated from the following file:

- include/diy/fmt/format.h